/***************************************************************************
                           cdemu.h  -  description
                             -------------------
    begin                : 2002-12-29
    copyright            : 2002-2004 by Robert Penz <robert.penz@outertech.com>
                           2003-2004 by Mike Frysinger <vapier@gmail.com>
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the Free Software           *
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.             *
 *                                                                         *
 ***************************************************************************/

#ifndef __CDEMU_H__
#define __CDEMU_H__

#define CDEMU_VERSION "0.8.0"

typedef struct track {
	unsigned short				mode;
	unsigned short				minute;
	unsigned short				second;
	unsigned short				frame;

	/* (min*60 + sec) * 75 + fps*/
	unsigned long				start_sector;

	/* = the sizes in bytes off all tracks before this one
	 * its needed if there are mode1 tracks before the mpeg tracks */
	unsigned long start_offset;
} tTrack;

#define	CDEMU_COMMENT_SIZE		256
#define	CDEMU_MAX_TRACKS		47

struct cdemu_info {
	tTrack				tracks[CDEMU_MAX_TRACKS];
	unsigned int			ffd;
	int				num_tracks;
	char				comment[CDEMU_COMMENT_SIZE];
};

#endif /* __CDEMU_H__ */
